petsc-3.4.2 2013-07-02

# PetscLayoutCreate

Allocates PetscLayout space and sets the map contents to the default.

### Synopsis

    PetscErrorCode  PetscLayoutCreate(MPI_Comm comm,PetscLayout *map)

Collective on MPI_Comm

### Input Parameters

| comm | - the MPI communicator
| map | - pointer to the map

Notes: Typical calling sequence PetscLayoutCreate(MPI_Comm,PetscLayout *); PetscLayoutSetBlockSize(PetscLayout,1); PetscLayoutSetSize(PetscLayout,n) or PetscLayoutSetLocalSize(PetscLayout,N); PetscLayoutSetUp(PetscLayout);

### Optionally use any of the following

PetscLayoutGetSize(PetscLayout,PetscInt *); or PetscLayoutGetLocalSize(PetscLayout,PetscInt *;) PetscLayoutGetRange(PetscLayout,PetscInt *rstart,PetscInt *rend); or PetscLayoutGetRanges(PetscLayout,const PetscInt *range[]) PetscLayoutDestroy(PetscLayout);

The PetscLayout object and methods are intended to be used in the PETSc Vec and Mat implementions; it is often not needed in user codes unless you really gain something in their use.

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutSetLocalSize(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayout, PetscLayoutDestroy(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize(), PetscLayoutSetUp()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages